Page MenuHomePhabricator

Deploy AMC pt 1 to Arabic, Indonesian, and Spanish Wikipedias
Closed, ResolvedPublic2 Story Points

Description

NOTE: Deployment date March 20, 2019
  • Make sure this has been deployed to beta cluster and is working before shipping to production!
  • tested with screenshots in T213352#5032198

Background

We are getting ready to deploy the first part of AMC

Pre-deployment criteria

  • Ensure T213352 is signed off
  • Discuss whetehr T218173 is a blocker
  • Prepare QA test cases (Olga & Edward)

Acceptance criteria

Upon deployment, AMC will contain the following features:

  • opt-in toggle
  • article/talk tabs
  • history button

Developer notes

This should only involve enabling $wgMFAdvancedMobileContributions

The following default to true already:

  • $wgMinervaTalkAtTop

QA criteria

Signoff criteria

https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions#March_27,_2019_-_First_AMC_deployment_on_Arabic,_Indonesian,_and_Spanish_Wikipedias

QA Results : Production Testing

TaskTitleESARIDDetails
T211197Build AMC opt-in toggleT217643#5049852
T212216AMC page/talk toggle v1T217643#5049859
T213352AMC: add history link to actions menuT217643#5051354
T216514Add talk button to AMC main pageT217643#5051361
T214180Add informational links to AMC opt-in toggleT217643#5064839
T212959Create AMC edit tagT217643#5064893
T214697Move blue links on user pageT217643#5064846
T216628Update AMC setting name and description textT217643#5064917
T212961Add X-Analytics tag for AMC webrequestsT217643#5064945
T214195Design updates to Settings page & AMC opt-in toggleT217643#5064974
T214724Remove AMC Article/Talk tabs from main pageT217643#5065073
T215477Tag Thanks actions with AMC tagT217643#5065158
T215597QA edit tags for moderation actionsT217643#5166331 - ✅ Tested on testwiki, some items deferred or untestable

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)Mar 5 2019, 7:32 PM
Jdlrobson updated the task description. (Show Details)Mar 6 2019, 6:26 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

This applies to eswiki, idwiki, arwiki, testwiki, test2wiki, and the beta cluster.

Jdlrobson set the point value for this task to 2.Mar 6 2019, 6:34 PM
ovasileva updated the task description. (Show Details)Mar 18 2019, 9:38 AM
ovasileva updated the task description. (Show Details)Mar 18 2019, 9:40 AM
ovasileva updated the task description. (Show Details)Mar 18 2019, 10:03 AM
ovasileva updated the task description. (Show Details)Mar 18 2019, 11:42 AM
ovasileva updated the task description. (Show Details)Mar 18 2019, 11:49 AM
ovasileva updated the task description. (Show Details)Mar 18 2019, 12:24 PM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)Mar 18 2019, 3:28 PM
ovasileva updated the task description. (Show Details)Mar 19 2019, 9:54 AM

Change 497500 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Enable Advanced Mobile Contributions mode for ar,id,es and test wikis

https://gerrit.wikimedia.org/r/497500

Change 497500 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Advanced Mobile Contributions mode for ar,id,es and test wikis

https://gerrit.wikimedia.org/r/497500

Mentioned in SAL (#wikimedia-operations) [2019-03-20T11:34:45Z] <ladsgroup@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:497500|Enable Advanced Mobile Contributions mode for ar,id,es and test wikis (T217643)]] (duration: 00m 50s)

Production testing

  • Opt-in toggle tested on arwiki, idwiki, eswiki - working as expected (translations still pending on idwiki and eswiki)





  • History button tested on arwiki, idwiki, eswiki - working as expected (see screenshots above) - mobile version of history page opens on clicking button
Edtadros updated the task description. (Show Details)Mar 22 2019, 9:29 AM
Edtadros updated the task description. (Show Details)Mar 22 2019, 9:32 AM
Edtadros added a comment.EditedMar 23 2019, 12:09 AM

Build AMC opt-in toggle

T211197

QA Results : Production

ACESARIDDetails
1T211197#5047330
2T211197#5047330
3T211197#5047330
4T211197#5047330
5Not in scope
Edtadros updated the task description. (Show Details)Mar 23 2019, 12:12 AM
Edtadros added a comment.EditedMar 23 2019, 12:20 AM

AMC page/talk toggle v1

T212216

QA Results : Production

ACECARIDDetails))
1.1T212216#5047451
1.2T212216#5047451
2.1T212216#5047451
2.2T212216#5047451
3.1T212216#5047451
4T212216#5047451
5.1T212216#5047451
5.2T212216#5047451
6T212216#5047451
7.1T212216#5047451
7.2T212216#5047451
7.3T212216#5047451
8.1T212216#5047451
8.2T212216#5047451
9T212216#5047451
Edtadros updated the task description. (Show Details)Mar 23 2019, 12:21 AM
Edtadros updated the task description. (Show Details)Mar 24 2019, 2:43 AM
Edtadros updated the task description. (Show Details)Mar 24 2019, 3:45 AM
Edtadros added a comment.EditedMar 24 2019, 4:00 AM

AMC: add history link to actions menu

T213352

QA Results: Production

ACESARIDDetails))
1.1T213352#5051272
1.2T213352#5051272
1.3T213352#5083611
1.4T213352#5051272
1.5T213352#5051272
1.6T213352#5051272
2.1T213352#5051272
2.2T213352#5051272
2.3T213352#5083611
2.4T213352#5051272
2.5T213352#5051272
2.6T213352#5051272
3.1NANANAT213352#5051272
3.2NANANAT213352#5051272
3.3NANANAT213352#5051272
3.4NANANAT213352#5051272
3.5T213352#5051272
3.6T213352#5051272

Add talk button to AMC main page

T216514

QA Results: Production

ACESARIDDetails
1.1T216514#5051317
1.2T216514#5051317
1.3T216514#5051317
1.4T216514#5051317
2.1T216514#5051317
2.2T216514#5051317
2.3T216514#5051317
3T216514#5051317
Edtadros updated the task description. (Show Details)Mar 24 2019, 4:14 AM
ovasileva updated the task description. (Show Details)Mar 25 2019, 5:40 PM

Add informational links to AMC opt-in toggle

T214180

QA Results: Production (eswiki)

StatusDetails
✅ PassedT214180#5064738
Edtadros updated the task description. (Show Details)Mar 28 2019, 7:37 AM

Move blue links on user page

T214697

QA Results:Production (eswiki)

StatusDetails))
✅ PASST214697#5064741
Edtadros updated the task description. (Show Details)Mar 28 2019, 7:45 AM

Create AMC edit tag

T212959

QA Results:Production (idwiki)

Moderation ActionStatusDetails
edit✅ PASST212959#5064892
Edtadros updated the task description. (Show Details)Mar 28 2019, 8:13 AM

Update AMC setting name and description text

T216628

QA Results:Production(idwiki)

StatusDetails
✅ PassedT216628#5064915
Edtadros updated the task description. (Show Details)Mar 28 2019, 8:21 AM

Add X-Analytics tag for AMC webrequests

T212961

QA Results:Production (arwiki)

StatusDetails
✅ PassedT212961#5064944
Edtadros updated the task description. (Show Details)Mar 28 2019, 8:49 AM

Design updates to Settings page & AMC opt-in toggle

T214195

QA Results:Production(idwiki)

StatusDetails
✅ PassedT214195#5064971
Edtadros updated the task description. (Show Details)Mar 28 2019, 9:07 AM

Remove AMC Article/Talk tabs from main page

T214724

QA Results:Production (arwiki)

StepStatusDetails
1✅ PassedT214724#5065056
2✅ PassedT214724#5065056
3✅ PassedT214724#5065056
4✅ PassedT214724#5065056
5✅ PassedT214724#5065056
Edtadros updated the task description. (Show Details)Mar 28 2019, 9:30 AM
ovasileva updated the task description. (Show Details)Mar 28 2019, 9:46 AM

Tag Thanks actions with AMC tag

T215477

QA Results:Production(eswiki)

StatusDetails
✅ PassedT215477#5065142
Edtadros updated the task description. (Show Details)Mar 28 2019, 9:50 AM

QA edit tags for moderation actions

T215597

Need more information to test. See T215597#5068061

Edtadros reassigned this task from Edtadros to ovasileva.Mar 28 2019, 11:03 PM
Edtadros updated the task description. (Show Details)
Edtadros added a subscriber: Edtadros.

@ovasileva The table in the description summarizes what I have found. Please let me know if you have any questions.

Edtadros claimed this task.Apr 2 2019, 5:11 PM
Edtadros updated the task description. (Show Details)Apr 4 2019, 12:14 AM
Edtadros updated the task description. (Show Details)Apr 4 2019, 1:06 AM

This is waiting on clarification of the QA criteria in T215597

QA edit tags for moderation actions

T215597

QA Results:Production (testwiki)

ACStatusDetails
1T215597#5166315 - Will QA in task T219895
2T215597#5166315 - Will QA in task T219895
3T215597#5166315
4T215597#5166315
5T215597#5166315
6T215597#5166315
7T215597#5166315 - Functionality not available in testwiki
Edtadros reassigned this task from Edtadros to ovasileva.May 8 2019, 8:12 AM
Edtadros updated the task description. (Show Details)

You aren't seeing things.....this is finally done.

ovasileva closed this task as Resolved.May 8 2019, 10:16 AM
ovasileva updated the task description. (Show Details)

All acceptance criteria complete. Signing this off (finally!)